
Redmine - Defect #26785

Wrong columns after CSV export

2017-08-29 11:31 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.7   

Resolution: Fixed Affected version: 3.4.2

Description

On the /issues page, if we create a new CSV export with all columns, every columns are selected next time we visit the html page.

Selected columns should remain unchanged after the CSV export.

 Capture11.30.02.png 

Associated revisions

Revision 17686 - 2018-12-04 10:23 - Go MAEDA

Wrong columns after CSV export (#26785).

Patch by Mizuki ISHIKAWA.

Revision 17687 - 2018-12-04 11:04 - Go MAEDA

Merged r17686 from trunk to 3.4-stable (#26785).

History

#1 - 2017-08-29 12:30 - Go MAEDA

- Status changed from New to Needs feedback

I could not reproduce the problem. Could you describe the detailed steps to reproduce?

#2 - 2017-08-29 15:32 - Vincent Robert

- File step3.png added

- File step2.png added

- File step1.png added

- File step1bis.png added

Here are the steps to reproduce this bug:

1 - Go to global /issues page
step1.png 

2 - Clear current query

 step1bis.png 

3 - Export all columns to CSV file
step2.png 

4 - Click on Issues link in the menu (or go to /issues page without any parameter in the url)
step3.png 

All columns are now selected!

Here is my configuration:
Environment:

  Redmine version                3.4.2.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-darwin16]

  Rails version                  4.2.8

  Environment                    development

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.9.4

  Git                            2.12.1

  Filesystem                     

Redmine plugins:

  no plugin installed

#3 - 2017-09-07 09:52 - Go MAEDA

- Status changed from Needs feedback to Confirmed

I have confirmed the problem in trunk and 3.4-stable.

#4 - 2017-09-24 03:41 - Go MAEDA

- Category set to Issues filter

#5 - 2018-12-03 06:14 - Go MAEDA

- File fix-26785.diff added

- Target version set to Candidate for next minor release

You can fix this issue with the attached patch.

My customer experiences ActionDispatch::Cookies::CookieOverflow exception due to this defect. The Redmine has 200+ custom fields. A list of all

custom fields is set to session[:issue_query][:column_names] after exporting all columns to CSV and the very long session value causes the

exception.

The problem can be addressed by restoring the session value after sending CSV to the client.

#6 - 2018-12-03 09:49 - Mizuki ISHIKAWA

- File fix-26785-v2.patch added

Go MAEDA wrote:

The problem can be addressed by restoring the session value after sending CSV to the client.

 The patch attached to #26785#note-5 worked fine for me, but I think it would be better to use the argument use_session of retrieve_query.

I attached a patch of proposed code and test code.

#7 - 2018-12-03 10:06 - Mizuki ISHIKAWA

- File fix-26785-v3.patch added

I cleaned up the code a little.

#8 - 2018-12-03 10:07 - Go MAEDA

- File deleted (fix-26785-v2.patch)

#9 - 2018-12-03 10:34 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.7

LGTM. Setting the target version to 3.4.7.

#10 - 2018-12-04 10:28 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch with a slight change in the test.

Thank you for reporting and fixing the issue.

#11 - 2018-12-04 11:06 - Go MAEDA

- Status changed from Resolved to Closed

Merged to 3.4-stable branch.

Files

Capture11.30.02.png 29.9 KB 2017-08-29 Vincent Robert

step2.png 31.4 KB 2017-08-29 Vincent Robert

step3.png 36.4 KB 2017-08-29 Vincent Robert

step1.png 43.1 KB 2017-08-29 Vincent Robert

step1bis.png 6.48 KB 2017-08-29 Vincent Robert

fix-26785.diff 817 Bytes 2018-12-03 Go MAEDA

fix-26785-v3.patch 1.27 KB 2018-12-03 Mizuki ISHIKAWA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 6/6

http://www.tcpdf.org

